Subject: Re: bug#40670: 28.0.50; Regression: vc-print-log doesn't work with TRAMP because vc-git isn't initialized

From: Michael Albinus <[email-masked]>
Date: Fri, 17 Apr 2020 15:11:48 +0200

Dima Kogan <[email-masked]> writes:

> Hi. I'm using a bleeding-edge emacs build from git. Today.

Hi Dima,

> The problem:
>
> 1. emacs -Q
>
> 2. C-x C-f /ssh:host:file
>
>    Open any file that lives in a git repo on a remote server
>
> 3. C-x v l
>
>    I expect to see the git log for this file, but I get an error: "File
>    is not under version control". The modeline doesn't show that emacs
>    recognized this as a git file. Also, the only "vc-git-..." function
>    that emacs knows about at this point is vc-git-registered. Clearly
>    something was supposed to initialize vc-git but that didn't happen.
>    As a workaround I CAN do:
>
> 4. C-x v L
>
>    This does work to show me the git history of this whole project. This
>    loaded vc-git, so I can now go back to the earlier buffer, and C-x v
>    l works now

Thanks for the report. I've applied git bisect. Looks like commit
76b3bd8cbb9a0a01941d9c1766c054960e4bfd97 (Improve Tramp cache for
asynchronous processes) has broken Emacs here.

Since I'm the author of that patch, I'll debug. Will report later.

> Thanks!

Best regards, Michael.